!BAT
# IMPORTANT: This file MUST begin with !BAT

#   --- set the version number ---

#set VER=BETA29v8

# IMPORTANT! - To use your own settings and change the language or words
#              copy this file to MyE2B.cfg
#
#             --- DO NOT EDIT THE E2B.cfg !!!!!! -------
#
# HELP
#   # symbols comment out a line - do not remove!
#   ### means you can uncomment and use ### lines - they should contain a set command
#
#   e.g.
#         # Auto menu     - this should not be uncommented - do not delete the # symbol
#       ###set DEFM_MNU=0 - this can be uncommented and changed by the user


#don't specify a gfxmenu
set GFX=


# ------------ HEADING AND FOOTER TEXT COLOUR ---------

# HCOLOUR sets the colour of the HEADING and FOOTER TEXT text 
# HCOLOUR=ABCD specifies the text colour  [BLINK|BRIGHT|BACKGROUND|FOREGROUND]
# A=0/1 1 = BLINK text (does not work under VM)
# B=0/1 1 = BRIGHT colour for foreground text
# C=0-7 = BACKGROUND colour - transparent if graphics mode so has no effect!
# D=0-7 = FOREGROUND menu text colour
# Colours parameters are: 0=black/grey 1=dark blue, 2=green, 3=aqua, 4=dark red, 5=pink, 6=yellow/brown, 7=grey/white.
# e.g. 0133 is non-blinking bright aqua text (on a dark aqua background if not in graphics mode)

set HCOLOUR=0133
set FCOLOUR=0133

#                  --------- MENU HEADINGS -----
#
# Headings must be between two \x20 and between 58 and 78 characters long - but not more than 78 or will get line wrapover if in 640x480 mode
#                          1         2         3         4         5         6         7         8
#              \x202345678901234567890123456789012345678901234567890123456789012345678901234567890\x20
#                                                                           XXXXXXXXXXXXXXXXXXX  <- text must end in this area!
#
set    HEADING=\x20         EASY2BOOT V1 BLUE MENU  (%VER%)   \x20

# Main Menu entry text, Menu Heading and default entries - remove ### to override the default settings

# use \x20 for no text at the bottom of the first menu - e.g. set HELPTEXT=\x20
set HELPTEXT=HDD0 [F7]   Back [F8]   Reboot [F9]   Power Off [F10]   BLUE MENU

#  ----- GRAPHICS MODE AND WALLPAPER -----

# set graphics mode - use 640, or 800 or 1024 - or specify full mode - e.g. 800 600 24
# 640 and 800 is supported by the default background bitmap
set GMODE=800
###set MYWBMP=/_ISO/mybackground.bmp
set MYWBMPGZ=/_ISO/docs/Templates/blue/blue.bmp.gz

# -------- MENU COLOURS -------

#MENU COLOURS - Available colours are:
#   black, blue, green, cyan, red, magenta, brown, lgray, lgrey
#   dgrey, dgray, lblue, lgreen, lcyan, lred, lmagenta, yellow, white
#   normal=normal menu text
#   highlight=highlighted menu text when a menu entry is selected - first colour is background, 2nd colour is text colour
#             To have a transparent background for a selected menu item - just specify TRANS - e.g. highlight=0x%TRANS%%%red% 
#   helptext=the colour of the title help text shown just below the menu box
#   standard=the console background and text colours (e.g. when listing files)
#   border=the colour of the border of the menu box

#NOTE:THIS IS AN OLD METHOD - see Sample_MyE2B.cfg file for new method
color normal=0x%lcyan% highlight=0x%TRANS%%%lred% helptext=0x%lgreen% standard=0x%blue%%%lcyan% border=0x%lgrey%


# ----- MENU POSITION ---

# If USING 640 or 800 x-resolution - the settings below will change automatically
# wordspacing linespacing borderwidth tophelp numberofitemsinmenu topstart menuwidth rightstartposofmenu
# tophelp=topstart+noitems for menuhelp text just under menu box
set wdspace=0
set lnspace=0
set topstart=2
set rstart=21
set noitems=18
set menuw=62
set bdwidth=1
set tophelp=20

# --- AUTOMATICALLY change border parameters if 800x600 set -----

if "%GMODE%"=="800" set noitems=24
if "%GMODE%"=="800" set tophelp=26

# -- FOOTER HELP TEXT ---
#Bottom Easy2Boot Help text position YYXX
set HBTM=2800
# if in 800 hres set, put bottom help text lower down - 36 lines if 800 mode
if "%GMODE%"=="800" set HBTM=3500

#   ---- PASSWORD PROTECTION -----
#Uncomment the line below to set a password of 'easy2boot' to stop users editing the menus
#If you want to edit the menus, press p and then enter the password (you can use an unencypted password like this: 'set pwd=fred'
###set pwd=--md5 $1$1$okAQ3AJUdhqf3TVrwKvJP1
set pwd=E2B

# ---- KEYBOARD TYPE -----
#set which keyboard you are using - see the KBD_xxxx.g4b files in the grub folder
set KBD=KBD_QWERTY_UK.g4b


# ---- MENU ORDER -----
# if MNUFIRST=1 then the .mnu files in the MainMenu folder will be listed before the .ISO files
# if MNUFIRST=1 DIRECT BOOT, SPECIAL BOOT, INSTALL WINDOWS, Power Off, Boot to 2st HDD will be listed BEFORE an ISO files
# if MNUFIRST=1 and .ISO files in MainMenu folder will be listed at the end of the Main Menu
# if MNUFIRST is commented out, .ISO files in the MainMenu folder will be listed at the beginning of the Main Menu
#set MNUFIRST=1

#  ----- REDUCE MEMORY USAGE -----
#This disables the loading of batch file modules into memory for faster execution (so MOD=1 may slower)
#if too many files or variables cause grub4dos to crash then uncomment the line
###set MOD=1
